#!/bin/sh
# @(#) $Id: syslog2bro.sh 117 2009-10-15 22:53:46Z leres $ (LBL)

#
# PROVIDE: syslog2bro
#

PATH="${PATH}:/usr/local/bin:/usr/local/bro/bin:/usr/local/bro/scripts"
export PATH

rundir=/usr/local/bro/logs
pidfile="/var/run/syslog2bro.pid"

. /etc/rc.conf

case $1 in

start)
	if [ -z "${syslog2bro_enable}" -o "x${syslog2bro_enable}" != "xYES" ] ; then
		exit
	fi

	cd ${rundir} || exit

	for f in /var/log/syslog /var/log/messages; do
		if [ -f ${f} ]; then
			syslogfile=${f}
			break;
		fi
	done

	if [ -z "${syslogfile}" ]; then
		echo "syslog file not found" 2>&1
		exit 1
	fi

	echo "Watching syslog file ${syslogfile}"

	args=""
	if [ "${syslogfile}" != "/var/log/syslog" ]; then
		args="-f ${syslogfile}"
	fi

	syslog2bro -p ${pidfile} ${args}
        ;;

stop)
	if [ -z "${syslog2bro_enable}" -o "x${syslog2bro_enable}" != "xYES" ] ; then
		exit
	fi
	pkill -F ${pidfile}
        ;;

*)
	echo "Usage: $0 { start | stop }" 1>&2
	exit 1
	;;
esac
